.top_menu .button.A {background: #fff url(../images/mnu_true.png) no-repeat center center;}
.top_menu .button.nA {background: #fff url(../images/mnu_false.png) no-repeat center center;}
.top_menu .button.A:hover, .top_menu .button.nA:hover {cursor:progress;}

.light_bulb-off,
.switch_text {
-webkit-opacity: 1;
-moz-opacity: 1;
-o-opacity: 1;
-ms-opacity: 1;
opacity: 1;
}
.light_bulb-on,
.true_false,
.not_true_false {
-webkit-opacity: 0.01;
-moz-opacity: 0.01;
-o-opacity: 0.01;
-ms-opacity: 0.01;
opacity: 0.01;
}
.true_value,
.false_value {
-webkit-transform: translate(0px, 0px) rotate(0deg) scale(0.01, 0.01);
-moz-transform: translate(0px, 0px) rotate(0deg) scale(0.01, 0.01);
-o-transform: translate(0px, 0px) rotate(0deg) scale(0.01, 0.01);
-ms-transform: translate(0px, 0px) rotate(0deg) scale(0.01, 0.01);
transform: translate(0px, 0px) rotate(0deg) scale(0.01, 0.01);
}

.button.description:hover ~ .descriptionbox.dor1v1c,
.button.A:hover ~ .light_bulb-on.a,
.button.A:hover ~ .light_bulb-on.b,
.button.A:hover ~ .light_bulb-on.c,
.button.A:hover ~ .light_bulb-off.d,
.button.nA:hover ~ .light_bulb-on.a,
.button.nA:hover ~ .light_bulb-on.b,
.button.nA:hover ~ .light_bulb-off.c,
.button.nA:hover ~ .light_bulb-on.d,
.button.A:hover ~ .true_false.a,
.button.A:hover ~ .not_true_false.b,
.button.A:hover ~ .true_false.c,
.button.A:hover ~ .not_true_false.d,
.button.nA:hover ~ .true_false.a,
.button.nA:hover ~ .not_true_false.b,
.button.nA:hover ~ .true_false.c,
.button.nA:hover ~ .not_true_false.d  {
-webkit-opacity: 1;
-moz-opacity: 1;
-o-opacity: 1;
-ms-opacity: 1;
opacity: 1;
}
.button.A:hover ~ .switch_text.a,
.button.A:hover ~ .switch_text.b,
.button.A:hover ~ .switch_text.c,
.button.A:hover ~ .switch_text.d,
.button.nA:hover ~ .switch_text.a,
.button.nA:hover ~ .switch_text.b,
.button.nA:hover ~ .switch_text.c,
.button.nA:hover ~ .switch_text.d {
-webkit-transform: translate(18px, 0px) rotate(0deg) scale(1, 1);
-moz-transform: translate(18px, 0px) rotate(0deg) scale(1, 1);
-o-transform: translate(18px, 0px) rotate(0deg) scale(1, 1);
-ms-transform: translate(18px, 0px) rotate(0deg) scale(1, 1);
transform: translate(18px, 0px) rotate(0deg) scale(1, 1);
color:#fff;
}
.button.A:hover ~ .true_value.a,
.button.A:hover ~ .false_value.b,
.button.A:hover ~ .true_value.c,
.button.A:hover ~ .false_value.d  {
-webkit-transform: translate(0px, 0px) rotate(0deg) scale(1, 1);
-moz-transform: translate(0px, 0px) rotate(0deg) scale(1, 1);
-o-transform: translate(0px, 0px) rotate(0deg) scale(1, 1);
-ms-transform: translate(0px, 0px) rotate(0deg) scale(1, 1);
transform: translate(0px, 0px) rotate(0deg) scale(1, 1);
}
.button.nA:hover ~ .true_value.a,
.button.nA:hover ~ .false_value.b,
.button.nA:hover ~ .true_value.c,
.button.nA:hover ~ .false_value.d {
-webkit-transform: translate(0px, 0px) rotate(90deg) scale(1, 1);
-moz-transform: translate(0px, 0px) rotate(90deg) scale(1, 1);
-o-transform: translate(0px, 0px) rotate(90deg) scale(1, 1);
-ms-transform: translate(0px, 0px) rotate(90deg) scale(1, 1);
transform: translate(0px, 0px) rotate(90deg) scale(1, 1);
}

.button.A:hover ~ .truth_table.a .rn.s2,
.button.nA:hover ~ .truth_table.a .rn.s1,
.button.A:hover ~ .truth_table.c .rn.s2,
.button.nA:hover ~ .truth_table.c .rn.s1 {background:#5ba65b;}

.button.A:hover ~ .truth_table.b .rn.s1,
.button.nA:hover ~ .truth_table.b .rn.s2,
.button.A:hover ~ .truth_table.d .rn.s1,
.button.nA:hover ~ .truth_table.d .rn.s2 {background:#c75757;}